@import url("https://fonts.googleapis.com/css2?family=Lato&display=swap");
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

/*******
 Global
********/
html {
  scroll-behavior: smooth;
}
.loader {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100vw;
  height: 100vh;
  background-color: var(--pr-color);
  z-index: 1000;
  position: fixed;
  top: 0;
  left: 0;
}
.loader::after {
  content: "";
  width: 75px;
  height: 75px;
  border: 7px solid white;
  border-top-color: var(--tr-color);
  border-radius: 50%;
  animation: loading 0.75s ease-in infinite;
}
.container {
  display: flex;
  justify-content: space-between;
  position: relative;
  max-width: 1390px;
}
.content {
  flex-basis: 72%;
  margin-left: 28%;
  overflow-y: auto;
}
.overlay {
  height: 100vh;
  width: 100%;
  background-color: rgb(0 0 0 / 50%) !important;
}
.overflow-hidden {
  overflow: hidden;
}
/* Typography */

.pr-heading,
.sc-heading,
header,
.b-H span,
.portfolio-h,
.close-popup {
  font-family: "ubuntu";
}

.lead,
.bio div,
.facts-info,
.skill-h,
.skill-percentage,
.services-container,
.testimonial-content,
.contact-container,
.address-info,
.input-container input,
.input-container textarea,
.input-container.label {
  font-family: "Lato";
}
/* Utility Classes */

.pr-heading,
.sc-heading {
  display: inline-block;
  font-size: 2rem;
  color: var(--sc-color);
  position: relative;
  margin-bottom: 40px;
}

.pr-heading::after {
  content: "";
  background-color: var(--tr-color);
  width: 0;
  height: 0.3rem;
  border-radius: 50px;
  position: absolute;
  bottom: -15px;
  right: 50%;
  width: 80%;
  transform: translateX(38%);
}

.sc-heading {
  color: var(--tr-color);
  margin-bottom: 20px;
}

p.lead {
  font-size: 1.1rem;
  line-height: 1.4em;
  margin-bottom: 35px;
}
/* Animations */
.text-anim {
  animation: text 1s;
}
.fade-in {
  animation: fadeIn 1s forwards;
  transition: 0.5s;
}
.prog-anim {
  animation: progressanima 2s forwards;
}
.circle-anim {
  animation: circle-anima 1.8s forwards;
}
/* Colors */
:root {
  --pr-color: #210124;
  --sc-color: #750d37;
  --tr-color: #ce0089;
  --but-color: #fce5ff;
  --pent-color: #960153d5;
  --hex-color: rgb(39, 39, 39);
}

.main-nav-ul li:hover,
.b-H span,
.b-h span,
.bio i,
.facts-info:hover .counter-linear,
.facts-info i,
.service-item:hover .service-icon,
.profile h3,
.address i,
.address-info h3 {
  color: var(--tr-color);
}

.main-nav-ul li:hover a,
.white,
.b-h,
.skill-h,
.skill-percentage,
header,
.filter-item,
.portfolio-overlay,
.portfolio-active,
.cross,
.service-icon,
.service-item:hover,
.testimonial-content aside i,
.input-container .label,
.btn:hover,
#my-form-status {
  color: white;
}

header .logo-text,
.b-H span,
.b-h span,
.bio div,
.bio i,
.skill-h,
.skill-percentage,
.soft-skill-box,
.facts-info,
.filter-item {
  text-align: center;
}

#hamburger,
.overlay,
.social,
.social-icon,
.footer,
.skill-box,
.inner,
.portfolio-filter,
.portfolio-overlay {
  display: flex;
  align-items: center;
  justify-content: center;
}

header,
.social-icon:hover,
.main-nav li:hover,
.main-nav a:hover,
.about-img,
.about-text,
.skill-box,
.bio div,
.technical-skills,
.other-skills,
.active,
.portfolio-item,
.portfolio-item:hover .portfolio-overlay,
.ext-text,
.cross,
.input.focus,
.input.focus ~ label,
.input.focus ~ span,
.btn,
#my-form-status,
.testimonial-content aside i {
  transition: 0.3s;
}

#hamburger,
.social-icon,
.main-nav li,
.filter-item,
.portfolio-item,
aside i,
.btn {
  cursor: pointer;
}

/*********
     Hamburger
    **********/
#hamburger {
  display: none;
  width: 3.1rem;
  height: 3.1rem;
  background-color: var(--tr-color);
  border-radius: 50%;
  box-shadow: -1px 1px 1px grey, 1px 1px 1px grey, -1px -1px 1px grey,
    1px -1px 1px grey;
  position: fixed;
  top: 10px;
  right: 10px;
  z-index: 1000;
}
#hamburger #icon {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 50%;
  height: 2px;
  background-color: white;
  position: relative;
}
#hamburger #icon::before,
#hamburger #icon::after {
  content: "";
  position: absolute;
  left: 0;
  width: 1.6rem;
  height: 2px;
  background-color: rgb(255, 255, 255);
  margin: auto;
  transition: 0.3s;
}
#hamburger #icon::before {
  top: -8px;
}
#hamburger #icon::after {
  top: 8px;
}
#hamburger.active #icon {
  height: 0px;
}
#hamburger.active #icon::before {
  top: 0;
  transform: rotate(45deg);
}
#hamburger.active #icon::after {
  top: 0;
  transform: rotate(135deg);
}
/*******
     Header
    ********/
header {
  background-color: var(--pr-color);
  flex-basis: 30%;
  height: 100%;
  position: fixed;
  overflow-x: hidden;
  overflow-y: auto;
  padding: 20px 50px 20px 50px;
  z-index: 10;
}
header .logo {
  margin: auto;
  background: url("../images/logo.png") center center/cover;
  width: 150px;
  height: 150px;
  border: 4px double var(--sc-color);
  border-radius: 50%;
  animation: logoToss 2s forwards;
}
header .logo-text {
  font-size: 1.5rem;
  margin: 15px 0px;
}
.social {
  justify-content: space-evenly;
}
.social a {
  text-decoration: none;
  color: white;
}
.social-icon {
  width: 38px;
  height: 38px;
  background-color: var(--hex-color);
  border-radius: 50px;
}
.social-icon:hover {
  background-color: var(--tr-color);
  transition: 0.5s;
}
.social-icon i,
.main-nav i {
  font-size: 1.1rem;
}
.main-nav {
  margin: 30px 0px;
}
.main-nav ul {
  display: flex;
  flex-direction: column;
  list-style: none;
}
.main-nav li {
  margin: 16px;
}
.main-nav li a {
  display: inline-block;
  width: 80%;
  font-size: 1.1rem;
  color: rgb(139, 139, 139);
  text-decoration: none;
  margin-left: 12px;
}
.menu-active-li {
  color: var(--tr-color);
}
.menu-active-li a {
  color: white !important;
}

/*******
 Footer
********/
.footer {
  font-size: 1rem;
  width: 385px;
  background-color: var(--hex-color);
  padding: 10px 20px;
  position: absolute;
  left: 0;
  bottom: 0;
}

/*******
 Banner
********/
#home {
  height: 100vh;
  flex-basis: 70%;
  background: url("../images/bg.jpg") center center/cover;
}
.box {
  padding: 0px 50px;
}
.b-H span {
  font-size: 3.8rem;
  text-shadow: 2px 1px 2px white;
}
.b-H :nth-child(1) {
  animation-delay: 0s;
}
.b-H :nth-child(2) {
  animation-delay: 0.2s;
}
.b-H :nth-child(3) {
  animation-delay: 0.4s;
}
.b-H :nth-child(4) {
  animation-delay: 0.6s;
}
.b-H :nth-child(5) {
  animation-delay: 0.8s;
}
.b-H :nth-child(6) {
  animation-delay: 1s;
}
.b-H :nth-child(7) {
  animation-delay: 1.2s;
}
.b-H :nth-child(8) {
  animation-delay: 1.4s;
}
.b-H :nth-child(9) {
  animation-delay: 1.6s;
}
.b-H :nth-child(10) {
  animation-delay: 1.8s;
}
.b-H :nth-child(11) {
  animation-delay: 2s;
}
.b-H :nth-child(12) {
  animation-delay: 2.2s;
}
.b-H :nth-child(13) {
  animation-delay: 2.4s;
}
.b-H :nth-child(14) {
  animation-delay: 2.6s;
}
.b-H :nth-child(15) {
  animation-delay: 2.8s;
}
.b-H :nth-child(16) {
  animation-delay: 3s;
}
.b-H :nth-child(17) {
  animation-delay: 3.2s;
}
.b-H :nth-child(18) {
  animation-delay: 3.4s;
}
.b-H :nth-child(19) {
  animation-delay: 3.6s;
}
.b-H :nth-child(20) {
  animation-delay: 3.8s;
}
.b-H :nth-child(21) {
  animation-delay: 4s;
}
.b-H :nth-child(22) {
  animation-delay: 4.2s;
}
.b-H :nth-child(23) {
  animation-delay: 4.4s;
}
.b-H :nth-child(24) {
  animation-delay: 4.6s;
}
.b-H :nth-child(24) {
  animation-delay: 4.8s;
}
.b-h {
  font-size: 2rem;
  font-family: Arial, Helvetica, sans-serif;
  text-shadow: 2px 2px 2px rgb(216, 0, 169);
}
.b-h span {
  text-shadow: 2px 2px 2px rgb(255, 255, 255);
}

/*******
     About
    ********/
#about,
#skills,
#portfolio,
#services,
#testimonial,
#contact {
  padding: 60px 20px 60px 20px;
}
.about-content {
  display: flex;
  justify-content: center;
  flex-wrap: wrap !important;
}
.about-img {
  display: block;
  width: 45%;
  transform: perspective(800px) rotateY(10deg);
  box-shadow: -1px 1px 1px grey, -1px 1px 1px gray, -1px 1px 1px gray,
    -1px 1px 1px gray;
}
.about-text {
  width: 55%;
  transform: perspective(800px) rotateY(-10deg);
  padding: 10px 20px;
  box-shadow: 1px 1px 1px grey, 1px 1px 1px gray, 1px 1px 1px gray,
    1px 1px 1px gray;
  background-color: rgba(225, 0, 255, 0.1);
}
.bio {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 10px;
}
.bio div {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 140px;
  height: 140px;
  font-size: 0.87rem;
  color: var(--hex-color);
  border: 1px solid rgba(128, 128, 128, 0.24);
  border-radius: 50%;
  padding: 22px 10px;
}
.bio i,
.service-icon {
  font-size: 2rem;
  margin-bottom: 15px;
}
.about-content:hover .bio div {
  background-color: white;
}
.about-content:hover .about-img,
.about-content:hover .about-text,
.skills:hover .technical-skills,
.skills:hover .other-skills {
  transform: perspective(800px) rotateY(0deg);
}
.facts {
  padding-top: 70px;
}
.facts-container {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}
.facts-info {
  width: 300px;
  max-width: 100%;
  border-radius: 10px;
  padding: 8px 0px 1px 50px;
  position: relative;
  transition: 0.3s;
}
.facts-info:hover {
  box-shadow: 1px 1px 5px rgba(128, 128, 128, 0.705);
}
.facts-info i {
  font-size: 4rem;
  position: absolute;
  top: 14%;
  left: 47.3%;
  opacity: 0.2;
  transition: 0.3s;
}
.facts-info:hover i {
  font-size: 3rem;
  top: 3px;
  left: 18%;
  opacity: 1;
  padding: 10px;
  background-color: white;
  border-radius: 50%;
}
.facts-info i,
.counter-linear {
  margin-bottom: 10px;
  padding: 0;
  margin-right: 0;
}
.counter-linear {
  display: inline-block;
  font-size: 2.7rem;
}

/*******
     Skills
    ********/
#skills,
#services,
#contact {
  background-color: var(--but-color);
}
#skills .skills {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 1px;
}
.technical-skills {
  width: 60%;
  transform: perspective(800px) rotateY(10deg);
}
.other-skills {
  width: 39%;
  transform: perspective(800px) rotateY(-10deg);
}
.technical-skills,
.other-skills {
  padding: 10px 10px 10px 10px;
  background-color: var(--pent-color);
  border-radius: 8px;
  box-shadow: 1px 1px 1px rgba(24, 24, 24, 0.705);
}
.skills-container {
  display: flex;
  justify-content: space-evenly;
  flex-wrap: wrap;
  gap: 10px;
}
.skill-box {
  flex-direction: column;
  overflow: hidden;
  gap: 20px;
  padding: 5px;
}
.technical-skill-box {
  width: 120px;
  border-radius: 8px;
}
.soft-skill-box {
  display: inline-block;
  width: 145px;
  border-radius: 8px;
}
.skills:hover .skill-box {
  box-shadow: 1px 1px 3px rgb(20, 2, 11);
  background-color: var(--pent-color) !important;
}
.skills-container:hover .skill-box {
  opacity: 0.1;
}
.skill-box:hover,
.portfolio-item:hover {
  opacity: 1 !important;
  transform: scale(1.1);
}
.skill-h,
.skill-percentage {
  font-size: 1.1rem;
  font-weight: 600;
  letter-spacing: 0.055em;
}
.skill-h {
  margin-bottom: 40px;
}
.progress-bar {
  width: 25px;
  height: 35vh;
  background-color: transparent;
  box-shadow: inset 1px 1px 5px rgb(19, 19, 19);
  transform: rotate(180deg);
}
.progress.CD-prog {
  height: 89%;
  background: rgb(238, 190, 51);
  background: linear-gradient(
    90deg,
    rgba(238, 190, 51, 1) 0%,
    rgba(0, 245, 217, 1) 100%
  );
}
.progress.CAD-prog {
  height: 97%;
  background: rgb(51, 70, 238);
  background: linear-gradient(
    90deg,
    rgba(51, 70, 238, 1) 0%,
    rgba(39, 245, 0, 1) 100%
  );
}
.progress.ED-prog {
  height: 94%;
  background: rgb(235, 238, 51);
  background: linear-gradient(
    90deg,
    rgba(235, 238, 51, 1) 0%,
    rgba(245, 0, 0, 1) 100%
  );
}
.progress.elevation-prog {
  height: 92%;
  background: rgb(202, 51, 238);
  background: linear-gradient(
    90deg,
    rgba(202, 51, 238, 1) 0%,
    rgba(233, 245, 0, 1) 100%
  );
}
.circular-progress-bar {
  width: 120px;
  height: 120px;
  border-radius: 50%;
  padding: 10px;
  margin: 0 auto 4px auto;
  box-shadow: inset 1px 1px 5px rgb(66, 66, 66);
  position: relative;
}
.inner {
  width: 100px;
  height: 100px;
  margin-bottom: 5px;
  border-radius: 50%;
  box-shadow: 1px 1px 5px black;
}
svg.circular-progress {
  position: absolute;
  top: 0;
  left: 0;
}
.circular-progress circle {
  fill: none;
  stroke-width: 10px;
  stroke-dasharray: 347;
}
.CM-prog {
  stroke: url("#grad1");
  stroke-dashoffset: 27.76;
}
.PS-prog {
  stroke: url("#grad2");
  stroke-dashoffset: 48.58;
}
.CR-prog {
  stroke: url("#grad3");
  stroke-dashoffset: 45.11;
}
.PM-prog {
  stroke: url("#grad4");
  stroke-dashoffset: 41.64;
}
/**********
     Portfolio
    ***********/
.portfolio-container {
  margin-top: 40px;
}
.active {
  background-color: var(--tr-color);
}
.show {
  display: block !important;
  animation: fadeIn 2s forwards;
}
.portfolio-gallery:hover .portfolio-item {
  opacity: 0.1;
}
.hide {
  display: none !important;
}
.portfolio-gallery {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  margin-top: 30px;
  gap: 10px;
  position: relative;
}
.portfolio-item-content {
  width: 300px;
  height: 300px;
  object-fit: cover;
  overflow: hidden;
  border-radius: 8px;
}
.project-img {
  width: 100%;
  height: 100%;
}
.project-img img {
  width: 100%;
  height: 100%;
}

.portfolio-item {
  border-radius: 8px;
  box-shadow: 1px 1px 3px rgb(29, 29, 29), 1px 1px 3px rgb(29, 29, 29),
    1px 1px 3px rgb(29, 29, 29), 1px 1px 3px rgb(29, 29, 29);
  position: relative;
}
.portfolio-overlay {
  opacity: 0;
  background-color: rgba(255, 0, 140, 0.637);
  position: absolute;
  z-index: 1;
}
.portfolio-overlay p {
  display: none;
}
.portfolio-item:hover .portfolio-overlay {
  width: 100%;
  height: 100%;
  opacity: 1;
  bottom: 0;
  left: 0;
  transition: 0.7s;
}
.portfolio-item:hover .portfolio-h {
  animation: rotate 1s;
}
.portfolio-h {
  font-size: 2rem;
}

/*********
     Services
    **********/
.services-container {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 10px;
}
.service-item {
  width: 300px;
  text-align: center;
  background-color: white;
  padding: 20px 15px;
  box-shadow: inset 1px 1px 2px rgb(99, 99, 99),
    inset 1px 1px 2px rgb(99, 99, 99), inset 1px 1px 2px rgb(99, 99, 99),
    inset 1px 1px 3px rgb(99, 99, 99);
  border-radius: 8px;
  overflow: hidden;
}
.service-icon {
  background-color: var(--tr-color);
  display: inline-block;
  border-radius: 100px;
  padding: 10px;
  font-weight: 600;
  box-shadow: 0px 0px 0px var(--sc-color);
}
.service-item:hover,
.service-icon {
  transition: 0.7s;
}
.service-item:hover .service-icon {
  box-shadow: 0px 0px 0px 400px var(--sc-color);
  background-color: white;
}
.service-item h3 {
  font-size: 2rem;
  margin-bottom: 8px;
}
.service-item p {
  font-size: 1.06rem;
  margin-bottom: 5px;
}

/************
     Testimonial
    *************/
.testimonial-content {
  display: flex;
  align-items: center;
  flex-direction: column;
  width: 90%;
  max-width: 750px;
  padding: 10px;
  margin: auto;
  border-radius: 5px;
  border-radius: 8px;
  position: relative;
  box-shadow: 1px 1px 5px rgb(83, 83, 83);
  overflow: hidden;
}
.testimonial-content::before,
.testimonial-content::after {
  content: "";
  background-color: var(--tr-color);
  width: 8rem;
  height: 8rem;
  border-radius: 50%;
  position: absolute;
  z-index: 1;
}
.testimonial-content::before {
  top: -50px;
  left: -50px;
}
.testimonial-content::after {
  bottom: -50px;
  right: -50px;
}
#reviews {
  position: relative;
  min-height: 12rem;
  width: 80%;
}
.review {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  padding-right: 7%;
  padding-bottom: 30px;
  margin: auto;
  background-color: white;
  opacity: 0;
  visibility: hidden;
}
.review.active {
  visibility: visible;
  animation: fadeIn 1s ease-in forwards;
}
.review-text {
  position: relative;
}
.review-text p.lead {
  font-family: "ubuntu";
  text-align: center;
  padding: 0px 30px;
  margin-top: 40px;
  margin-bottom: 20px;
}
.review-text i {
  color: var(--sc-color);
  opacity: 0.3;
  font-size: 3rem;
  position: absolute;
  top: -25px;
  left: 0;
}
.profile {
  display: flex;
  justify-content: center;
  align-items: baseline;
  flex-wrap: wrap;
  flex-direction: column;
  margin-top: 0.5rem;
  margin-left: 3.8rem;
}
.profile h3 {
  font-weight: 600;
}
.profile h3 ~ p {
  font-size: 1rem;
  color: grey;
}
#review-btns {
  z-index: 1;
}
#review-btns button {
  font-size: 1.2rem;
  color: var(--sc-color);
  background-color: transparent;
  width: 2.5rem;
  height: 2.5rem;
  border: 2px solid currentColor;
  border-radius: 50%;
  outline: none;
  cursor: pointer;
  padding: 0.3rem 0.7rem;
}
#prev-btn {
  margin-right: 0.5rem;
}
#next-btn {
  margin-left: 0.5rem;
}
#review-btns button:hover {
  background-color: var(--sc-color);
  color: white;
  transition: 0.3s;
}
#review-btns button:active {
  color: var(--tr-color);
  transition: 0.3s;
  background-color: transparent;
}
.review-add-para {
  text-align: center;
  margin-top: 1rem;
}
.review-add-para .lead {
  margin-right: 0.5rem;
  font-family: "Lato";
}
#reviewForm {
  animation: fadeIn 0.7s ease-in-out;
  position: fixed;
  top: 0;
  left: 0;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  overflow: auto;
  width: 100%;
  background-color: rgba(12, 12, 12, 0.645);
  z-index: 1000;
}
#reviewForm ::placeholder {
  color: rgb(255, 255, 255);
  opacity: 1;
}
#reviewForm input:focus::placeholder,
#reviewForm textarea:focus::placeholder {
  color: var(--hex-color);
  opacity: 1;
}
.flex {
  display: flex;
}
#reviewForm h2 {
  color: white;
}
.review-container {
  width: 80%;
  height: max-content;
  margin: auto;
  background-color: var(--pent-color);
  padding: 3%;
  border-radius: 8px;
  position: relative;
}
#close-reviewForm {
  font-size: 2rem;
  color: white;
  position: absolute;
  top: 0.1rem;
  right: 0.4rem;
  cursor: pointer;
}
#close-reviewForm:hover {
  color: var(--hex-color);
}
#close-reviewForm input {
  color: white !important;
}
#review-res {
  background-color: rgba(0, 255, 157, 0.397);
  padding: 0.5rem;
  border-radius: 0.3rem;
  margin-left: 1rem;
}
.error {
  color: rgb(255, 0, 0);
}
.success {
  color: rgb(0, 255, 0);
}
/*******
     Contact
********/
.contact-container {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  border-radius: 8px;
  box-shadow: -1px -1px 5px rgb(102 102 102 / 52%),
    1px 1px 5px rgb(253 164 183 / 52%);
}
.address-container {
  background-color: var(--but-color);
  overflow: hidden;
  border-radius: 8px;
}
.address-container,
.form-container {
  width: 50%;
}
.form-container {
  background-color: var(--tr-color);
  padding: 20px;
  border-top-right-radius: 8px;
  border-bottom-right-radius: 8px;
}
.address {
  display: flex;
  justify-content: left;
  align-items: center;
  gap: 30px;
  padding: 20px;
}
.address-info h3 {
  font-size: 1.2rem;
}
.address i {
  font-size: 2rem;
}
.map {
  margin-top: 20px;
  width: 100%;
}
.map iframe {
  width: 100%;
  height: 270px;
}
.input-container.inline:first-child {
  margin-right: 2px;
}
.input-container.inline:nth-child(2) {
  margin-left: 2px;
}
.input-container {
  margin: 10px 0px;
  position: relative;
}
.input-container input,
.input-container textarea {
  font-size: 1rem;
  padding: 10px;
  outline: none;
  border: none;
  width: 100%;
  color: var(--hex-color);
  background-color: var(--tr-color);
  border-radius: 50px;
  box-shadow: -1px -1px 5px rgb(102 102 102), 1px 1px 5px rgb(253 164 183);
}
.input-container {
  margin-top: 30px;
}
.input-container textarea {
  height: 200px;
  overflow-y: auto;
  border-radius: 8px;
}
.input-container .label {
  font-size: 1rem;
  position: absolute;
  top: 10px;
  left: 20px;
}
.input-container span {
  content: "";
  position: absolute;
  top: -18px;
  left: 0;
  width: 62px;
  height: 30px;
  opacity: 0;
  background-color: var(--tr-color);
  transform: translateX(22%);
  border-radius: 20px;
  border-bottom: 1px solid grey;
}
.input-container input:focus,
.input-container textarea:focus {
  box-shadow: inset -1px -1px 2px var(--but-color),
    inset 1px 1px 2px var(--but-color);
}
.input.focus {
  background-color: white;
}
.input.focus ~ span {
  opacity: 1;
}
.input.focus ~ label {
  top: -10px;
  z-index: 1;
}
.btn {
  text-transform: uppercase;
  font-weight: bold;
  padding: 10px 15px;
  margin: 5px 0px;
  border: none;
  border-radius: 20px;
  box-shadow: 1px 1px 5px rgb(59, 59, 59);
}
.btn-light {
  color: var(--tr-color);
  background-color: var(--but-color);
}
.btn-dark {
  color: white;
  background-color: var(--tr-color);
}
.btn-dark:hover {
  font-weight: bold;
  color: var(--tr-color);
  box-shadow: inset -1px -1px 2px var(--tr-color),
    inset 1px 1px 2px var(--tr-color) !important;
}
.btn:hover {
  box-shadow: inset -1px -1px 2px var(--but-color),
    inset 1px 1px 2px var(--but-color);
  background-color: transparent;
}
#my-form-status {
  background-color: rgba(0, 255, 255, 0.671);
  border-radius: 8px;
  padding: 10px;
  opacity: 0;
}

/**********
     Animations
    ***********/
@keyframes logoToss {
  from {
    opacity: 0;
    transform: rotateY(360deg);
    transform: rotateX(50deg) rotateY(360deg) scale(0);
  }
  to {
    opacity: 1;
  }
}

@keyframes text {
  100% {
    color: white;
    text-shadow: 2px 1px 2px var(--tr-color), 2px 1px 10px var(--tr-color),
      2px 1px 30px var(--tr-color), 2px 1px 100px var(--tr-color);
  }
}

@keyframes progressanima {
  from {
    height: 0%;
  }
}

@keyframes circle-anima {
  0% {
    stroke-dashoffset: 347;
  }
}

@keyframes rotate {
  from {
    transform: rotateY(270deg);
  }
  to {
    transform: rotateY(360deg);
  }
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@keyframes loading {
  from {
    transform: rotate(0turn);
  }
  to {
    transform: rotate(1turn);
  }
}

@media only screen and (max-width: 1200px) {
  #hamburger {
    display: flex;
  }
  header {
    transform: translateX(-100%);
  }
  #header.header-active {
    transform: translateX(0);
  }
  .content {
    flex-basis: 100%;
    margin-left: 0;
  }
}

@media only screen and (max-width: 768px) {
  html {
    font-size: 14px;
  }
  .about-img,
  .about-text,
  .technical-skills,
  .other-skills,
  .address-container,
  .form-container {
    width: 100%;
  }
  .about-text {
    padding: 50px 20px;
  }
  .about-img {
    height: 30rem;
    object-fit: cover;
  }
  .about-img,
  .about-text,
  .technical-skills,
  .other-skills {
    transform: perspective(800px) rotateY(0deg);
  }
  .skill-box {
    background-color: var(--pent-color) !important;
  }
  #skills .skills {
    gap: 0.5rem;
  }
  .form-container {
    border-top-right-radius: 0px;
    border-bottom-right-radius: 8px;
    border-bottom-left-radius: 8px;
  }
}

@media only screen and (max-width: 600px) {
  .sc-heading {
    font-size: 1.8rem;
  }
  .overlay,
  #home {
    height: 45vh !important;
  }
  .b-H {
    letter-spacing: 0em;
  }
  .box {
    width: 100%;
    text-align: center;
    padding: 0px 20px;
  }
  .b-H span {
    font-size: 1.8rem;
  }
  .b-h {
    font-size: 1.2rem;
    margin-bottom: 0.4rem;
  }
  .about-img {
    height: 25rem;
  }
  .bio {
    justify-content: center;
  }
  .skills-container:hover .skill-box {
    opacity: 1;
  }

  .portfolio-item:hover {
    opacity: 1 !important;
    transform: scale(1.1);
  }
  .content-details {
    flex-direction: column-reverse;
  }
  .ext-text {
    width: auto;
  }
  .portfolio-active .project-img {
    box-shadow: none;
    border-radius: 0;
    height: 50vh;
  }
  .review-text p.lead {
    font-size: 12px;
  }
}
@media only screen and (max-width: 450px) {
  html {
    font-size: 13px;
  }
  .overlay,
  #home {
    height: 35vh !important;
  }
  .box {
    padding: 0px 0px;
  }
  .b-H span {
    font-size: 1.6rem;
    margin-right: -0.4rem;
  }
  .b-h {
    font-size: 1rem;
  }
  .portfolio-active .project-img {
    height: 40vh;
  }
  .portfolio-active .portfolio-item-content {
    width: 85vw;
  }
  #reviews {
    width: 100%;
    min-height: 18rem;
  }
  .review-text p.lead {
    padding: 0px 0px;
  }
  .profile {
    align-items: center;
  }
  .input-container {
    margin-top: 15px;
    margin-bottom: 7px;
  }
  .input-container textarea {
    height: 150px;
  }
}
